Bug 1656043 - Provide a branded satellite-maintain script
Summary: Provide a branded satellite-maintain script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Maintain
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On: 1487403
Blocks: 1496794
TreeView+ depends on / blocked
 
Reported: 2018-12-04 14:28 UTC by Brad Buckingham
Modified: 2019-10-07 17:18 UTC (History)
12 users (show)

Fixed In Version: satellite-6.5.0-8.beta
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1487403
Environment:
Last Closed: 2019-05-14 12:39:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:29 UTC

Comment 5 Nikhil Kathole 2019-03-18 15:32:41 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 20

# rpm -qa | grep maintain
rubygem-foreman_maintain-0.3.2-1.el7sat.noarch
satellite-maintain-0.0.1-1.el7sat.noarch


[root@qe-sat6-client-arch ~]# which satellite-maintain
/usr/bin/satellite-maintain
[root@qe-sat6-client-arch ~]# ll /usr/bin/satellite-maintain
lrwxrwxrwx. 1 root root 25 Mar 15 12:38 /usr/bin/satellite-maintain -> /usr/bin/foreman-maintain
[root@qe-sat6-client-arch ~]# satellite-maintain -h
Usage:
    satellite-maintain [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    health                        Health related commands
    upgrade                       Upgrade related commands
    service                       Control applicable services
    backup                        Backup server
    restore                       Restore a backup
    advanced                      Advanced tools for server maintenance

Options:
    -h, --help                    print help

There is one issue identified regarding auto-completion for satellite-maintain command does not work. We are tracking it here https://bugzilla.redhat.com/show_bug.cgi?id=1689910

Comment 8 errata-xmlrpc 2019-05-14 12:39:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.